JTS Topology Suite - v 1.12

## com.vividsolutions.jts.operation.overlay
Class OverlayNodeFactory

    java.lang.Object
      com.vividsolutions.jts.geomgraph.NodeFactory
          com.vividsolutions.jts.operation.overlay.OverlayNodeFactory

    public class OverlayNodeFactory

extends NodeFactory

Creates nodes for use in the `PlanarGraph`s constructed during overlay operations.

Version:
  1.7

Constructor Summary
`OverlayNodeFactory()`

Method Summary
`Node` `createNode(Coordinate coord)` The basic node constructor does not allow for incident edges

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverlayNodeFactory

    public OverlayNodeFactory()

Method Detail

### createNode

    public Node createNode(Coordinate coord)

  Description copied from class: `NodeFactory`
  The basic node constructor does not allow for incident edges

  Overrides:
    `createNode` in class `NodeFactory`

JTS Topology Suite - v 1.12